from Tkinter import *
from tkMessageBox import *
class FindKcCode(Frame):
    def __init__(self,master):
        Frame.__init__(self,master)
        self.pack()
        self.setupVar()
        self.config(bg="#46d900")
        Label(self,bg="#46d900",text='Input particles KF code').grid(row=0,column=0,columnspan=2)
        self.ent1 = Entry(self)
        self.ent1.grid(row=1,column=0,columnspan=2)
        self.ent1.bind('<Return>',self.Find)
        Button(self,text='Find',command=(lambda self=self: self.Find(None)),fg="#c80000").grid(row=2,column=0)
        Button(self,text='Exit',command=self.Exit,fg="#c80000").grid(row=2,column=1)



        
    def Find(self,event):
        try:
            ent1 = int(self.ent1.get())
        except ValueError:
            showerror('Error','You must enter a integer number')
            return
        try:
            theText = self.text[ent1]
        except KeyError:
            showinfo('Particle '+`ent1`,'No particle listed with KF code '+`ent1`)
            return
        showinfo('particle '+`ent1`,self.text[ent1])

    def Exit(self):
        self.master.destroy()

    def setupVar(self):
        self.text = {}
        self.text[1] = "d\nKF 1\nKC 1\nIDC 1 - 8"
        self.text[2] = "u\nKF 2\nKC 2\nIDC 9 - 16"
        self.text[3] = "s\nKF 3\nKC 3\nIDC 17 - 24"
        self.text[4] = "c\nKF 4\nKC 4\nIDC 25 - 32"
        self.text[5] = "b\nKF 5\nKC 5\nIDC 33 - 40"
        self.text[6] = "t\nKF 6\nKC 6\nIDC 41 - 55"
        self.text[7] = "b'\nKF 7\nKC 7\nIDC 56 - 65"
        self.text[8] = "t'\nKF 8\nKC 8\nIDC 66 - 75"
        self.text[11] = "e-\nKF 11\nKC 11\nIDC 76 - 79"
        self.text[12] = "nu_e\nKF 12\nKC 12\nIDC 80 - 81"
        self.text[13] = "mu-\nKF 13\nKC 13\nIDC 82 - 86"
        self.text[14] = "nu_mu\nKF 14\nKC 14\nIDC 87 - 88"
        self.text[15] = "tau-\nKF 15\nKC 15\nIDC 89 - 142"
        self.text[16] = "nu_tau\nKF 16\nKC 16\nIDC 143 - 144"
        self.text[17] = "tau'-\nKF 17\nKC 17\nIDC 145 - 149"
        self.text[18] = "nu'_tau\nKF 18\nKC 18\nIDC 150 - 152"
        self.text[21] = "g\nKF 21\nKC 21\nIDC 153 - 161"
        self.text[22] = "gamma\nKF 22\nKC 22\nIDC 162 - 173"
        self.text[23] = "Z0\nKF 23\nKC 23\nIDC 174 - 189"
        self.text[24] = "W+\nKF 24\nKC 24\nIDC 190 - 209"
        self.text[25] = "h0\nKF 25\nKC 25\nIDC 210 - 288"
        self.text[26] = "reggeon\nKF 26\nKC 26\nIDC -"
        self.text[27] = "pomeron\nKF 27\nKC 27\nIDC -"
        self.text[32] = "Z'0\nKF 32\nKC 32\nIDC 289 - 310"
        self.text[33] = 'Z"0\nKF 33\nKC 33\nIDC -'
        self.text[34] = "W'+\nKF 34\nKC 34\nIDC 311 - 333"
        self.text[35] = "H0\nKF 35\nKC 35\nIDC 334 - 415"
        self.text[36] = "A0\nKF 36\nKC 36\nIDC 416 - 495"
	self.text[37] = "H+\nKF 37\nKC 37\nIDC 496 - 522 "
	self.text[38] = "eta_tech0\nKF 38\nKC 38\nIDC 523 - 525 "
	self.text[39] = "LQ_ue\nKF 39\nKC 39\nIDC 526 - 526 "
	self.text[40] = "R0\nKF 40\nKC 40\nIDC 527 - 535 "
	self.text[41] = "G*\nKF 41\nKC 41\nIDC 536 - 555 "
	self.text[51] = "pi_tech0\nKF 51\nKC 51\nIDC 556 - 563 "
	self.text[52] = "pi_tech+\nKF 52\nKC 52\nIDC 564 - 569 "
	self.text[53] = "pi'_tech0\nKF 53\nKC 53\nIDC 570 - 577 "
	self.text[54] = "rho_tech0\nKF 54\nKC 54\nIDC 578 - 601 "
	self.text[55] = "rho_tech+\nKF 55\nKC 55\nIDC 602 - 627 "
	self.text[56] = "omega_tech\nKF 56\nKC 56\nIDC 628 - 651 "
	self.text[61] = "H_L++\nKF 61\nKC 61\nIDC 652 - 658 "
	self.text[62] = "H_R++\nKF 62\nKC 62\nIDC 659 - 665 "
	self.text[63] = "W_R+\nKF 63\nKC 63\nIDC - "
	self.text[64] = "nu_Re\nKF 64\nKC 64\nIDC - "
	self.text[65] = "nu_Rmu\nKF 65\nKC 65\nIDC - "
	self.text[66] = "nu_Rtau\nKF 66\nKC 66\nIDC - "
	self.text[81] = "specflav\nKF 81\nKC 82\nIDC - "
	self.text[82] = "rndmflav\nKF 82\nKC 82\nIDC - "
	self.text[83] = "phasespa\nKF 83\nKC 83\nIDC 678 - 678 "
	self.text[84] = "c-hadron\nKF 84\nKC 84\nIDC 679 - 682 "
	self.text[85] = "b-hadron\nKF 85\nKC 85\nIDC 683 - 691 "
	self.text[91] = "cluster\nKF 91\nKC 91\nIDC - "
	self.text[92] = "string\nKF 92\nKC 92\nIDC - "
	self.text[93] = "indep.\nKF 93\nKC 93\nIDC - "
	self.text[94] = "CMshower\nKF 94\nKC 94\nIDC - "
	self.text[95] = "SPHEaxis\nKF 95\nKC 95\nIDC - "
	self.text[96] = "THRUaxis\nKF 96\nKC 96\nIDC - "
	self.text[97] = "CLUSjet\nKF 97\nKC 97\nIDC - "
	self.text[98] = "CELLjet\nKF 98\nKC 98\nIDC - "
	self.text[99] = "table\nKF 99\nKC 99\nIDC - "
	self.text[110] = "rho_diff0\nKF 110\nKC 110\nIDC - "
	self.text[111] = "pi0\nKF 111\nKC 102\nIDC 692 - 693 "
	self.text[113] = "rho0\nKF 113\nKC 103\nIDC 694 - 698 "
	self.text[115] = "a_20\nKF 115\nKC 104\nIDC 699 - 707 "
	self.text[130] = "K_L0\nKF 130\nKC 105\nIDC 708 - 716 "
	self.text[210] = "pi_diffr+\nKF 210\nKC 106\nIDC - "
	self.text[211] = "pi+\nKF 211\nKC 107\nIDC 717 - 718 "
	self.text[213] = "rho+\nKF 213\nKC 108\nIDC 719 - 720 "
	self.text[215] = "a_2+\nKF 215\nKC 109\nIDC 721 - 727 "
	self.text[220] = "omega_di\nKF 220\nKC 110\nIDC - "
	self.text[221] = "eta\nKF 221\nKC 111\nIDC 728 - 735 "
	self.text[223] = "omega\nKF 223\nKC 112\nIDC 736 - 741 "
	self.text[225] = "f_2\nKF 225\nKC 113\nIDC 742 - 750 "
	self.text[310] = "K_S0\nKF 310\nKC 114\nIDC 751 - 752 "
	self.text[311] = "K0\nKF 311\nKC 115\nIDC 753 - 754 "
	self.text[313] = "K*0\nKF 313\nKC 116\nIDC 755 - 757 "
	self.text[315] = "K*_20\nKF 315\nKC 117\nIDC 758 - 767 "
	self.text[321] = "K+\nKF 321\nKC 118\nIDC 768 - 773 "
	self.text[323] = "K*+\nKF 323\nKC 119\nIDC 774 - 776 "
	self.text[325] = "K*_2+\nKF 325\nKC 120\nIDC 777 - 787 "
	self.text[330] = "phi_diff\nKF 330\nKC 121\nIDC - "
	self.text[331] = "eta'\nKF 331\nKC 122\nIDC 788 - 793 "
	self.text[333] = "phi\nKF 333\nKC 123\nIDC 794 - 804 "
	self.text[335] = "f'_2\nKF 335\nKC 124\nIDC 805 - 810 "
	self.text[411] = "D+\nKF 411\nKC 125\nIDC 811 - 873 "
	self.text[413] = "D*+\nKF 413\nKC 126\nIDC 874 - 876 "
	self.text[415] = "D*_2+\nKF 415\nKC 127\nIDC 877 - 884 "
	self.text[421] = "D0\nKF 421\nKC 128\nIDC 885 - 945 "
	self.text[423] = "D*0\nKF 423\nKC 129\nIDC 946 - 947 "
	self.text[425] = "D*_20\nKF 425\nKC 130\nIDC 948 - 955 "
	self.text[431] = "D_s+\nKF 431\nKC 131\nIDC 956 - 988 "
	self.text[433] = "D*_s-\nKF 433\nKC 132\nIDC 989 - 990 "
	self.text[435] = "D*_s+\nKF 435\nKC 133\nIDC 991 - 994 "
	self.text[440] = "J/psi_di\nKF 440\nKC 134\nIDC - "
	self.text[441] = "eta_c\nKF 441\nKC 135\nIDC 995 - 995 "
	self.text[443] = "J/psi\nKF 443\nKC 136\nIDC 996 - 998 "
	self.text[445] = "chi_2c\nKF 445\nKC 137\nIDC 999 - 1000 "
	self.text[511] = "B0\nKF 511\nKC 138\nIDC 1001 - 1036 "
	self.text[513] = "B*0\nKF 513\nKC 139\nIDC 1037 - 1037 "
	self.text[515] = "B*_20\nKF 515\nKC 140\nIDC 1038 - 1045 "
	self.text[521] = "B+\nKF 521\nKC 141\nIDC 1046 - 1081 "
	self.text[523] = "B*+\nKF 523\nKC 142\nIDC 1082 - 1082 "
	self.text[525] = "B*_2+\nKF 525\nKC 143\nIDC 1083 - 1090 "
	self.text[531] = "B_s0\nKF 531\nKC 144\nIDC 1091 - 1129 "
	self.text[533] = "B*_s0\nKF 533\nKC 145\nIDC 1130 - 1030 "
	self.text[535] = "B*_2s0\nKF 535\nKC 146\nIDC 1131 - 1134 "
	self.text[541] = "B_c+\nKF 541\nKC 147\nIDC 1135 - 1165 "
	self.text[543] = "B*_c+\nKF 543\nKC 148\nIDC 1166 - 1166 "
	self.text[545] = "B*_2c+\nKF 545\nKC 149\nIDC 1167 - 1170 "
	self.text[551] = "eta_b\nKF 551\nKC 150\nIDC 1171 - 1171 "
	self.text[553] = "Upsilon\nKF 553\nKC 151\nIDC 1172 - 1180 "
	self.text[555] = "chi_2b\nKF 555\nKC 152\nIDC 1181 - 1182 "
	self.text[1103] = "dd_l\nKF 1103\nKC 153\nIDC - "
	self.text[1114] = "Delta-\nKF 1114\nKC 154\nIDC 1183 - 1183 "
	self.text[2101] = "ud_0\nKF 2101\nKC 155\nIDC - "
	self.text[2103] = "ud_1\nKF 2103\nKC 156\nIDC - "
	self.text[2110] = "n_diffr0\nKF 2110\nKC 157\nIDC - "
	self.text[2112] = "n0\nKF 2112\nKC 158\nIDC - "
	self.text[2114] = "Delta0\nKF 2114\nKC 159\nIDC 1184 - 1186 "
	self.text[2203] = "uu_1\nKF 2203\nKC 160\nIDC - "
	self.text[2210] = "p_diffr+\nKF 2210\nKC 161\nIDC - "
	self.text[2212] = "p+\nKF 2212\nKC 162\nIDC - "
	self.text[2214] = "Delta+\nKF 2214\nKC 163\nIDC 1187 - 1189 "
	self.text[2224] = "Delta++\nKF 2224\nKC 164\nIDC 1190 - 1190 "
	self.text[3101] = "sd_0\nKF 3101\nKC 165\nIDC - "
	self.text[3103] = "sd_1\nKF 3103\nKC 166\nIDC - "
	self.text[3112] = "Sigma-\nKF 3112\nKC 167\nIDC 1191 - 1192 "
	self.text[3114] = "Sigma*-\nKF 3114\nKC 168\nIDC 1193 - 1195 "
	self.text[3114] = "Lambda0\nKF 3114\nKC 169\nIDC 1196 - 1199 "
	self.text[3201] = "su_0\nKF 3201\nKC 170\nIDC - "
	self.text[3203] = "su_1\nKF 3203\nKC 171\nIDC - "
	self.text[3212] = "Sigma0\nKF 3212\nKC 172\nIDC 1200 - 1200 "
	self.text[3214] = "Sigma*0\nKF 3214\nKC 173\nIDC 1201 - 1203 "
	self.text[3222] = "Sigma+\nKF 3222\nKC 174\nIDC 1204 - 1206 "
	self.text[3224] = "Sigma*+\nKF 3224\nKC 175\nIDC 1207 - 1209 "
	self.text[3312] = "Xi-\nKF 3312\nKC 177\nIDC 1210 - 1214 "
	self.text[3314] = "Xi*-\nKF 3314\nKC 178\nIDC 1215 - 1216 "
	self.text[3322] = "Xi0\nKF 3322\nKC 179\nIDC 1217 - 1219 "
	self.text[3324] = "Xi*0\nKF 3324\nKC 180\nIDC 1220 - 1221 "
	self.text[3334] = "Omega-\nKF 3334\nKC 181\nIDC 1222 - 1225 "
	self.text[4101] = "cd_0\nKF 4101\nKC 182\nIDC - "
	self.text[4103] = "cd_1\nKF 4103\nKC 183\nIDC - "
	self.text[4112] = "Sigma_c0\nKF 4112\nKC 184\nIDC 1226 - 1226 "
	self.text[4114] = "Sigma*_c0\nKF 4114\nKC 185\nIDC 1227 - 1227 "
	self.text[4122] = "Lambda_c+\nKF 4122\nKC 186\nIDC 1228 - 1303 "
	self.text[4132] = "Xi_c0\nKF 4132\nKC 187\nIDC 1304 - 1307 "
	self.text[4201] = "cu_0\nKF 4201\nKC 188\nIDC - "
	self.text[4203] = "cu_1\nKF 4203\nKC 189\nIDC - "
	self.text[4212] = "Sigma_c+\nKF 4212\nKC 190\nIDC 1308 - 1308 "
	self.text[4214] = "Sigma*_c+\nKF 4214\nKC 191\nIDC 1309 - 1309 "
	self.text[4222] = "Sigma_c++\nKF 4222\nKC 192\nIDC 1310 - 1310 "
	self.text[4224] = "Sigma*_c++\nKF 4224\nKC 193\nIDC 1311 - 1311 "
	self.text[4232] = "Xi_c+\nKF 4232\nKC 194\nIDC 1312 - 1315 "
	self.text[4301] = "cs_0\nKF 4201\nKC 195\nIDC - "
	self.text[4303] = "cs_1\nKF 4203\nKC 196\nIDC - "
	self.text[4312] = "Xi'_c0\nKF 4312\nKC 197\nIDC 1316 - 1316 "
	self.text[4314] = "Xi*_c0\nKF 4314\nKC 198\nIDC 1317 - 1318 "
	self.text[4322] = "Xi'_c+\nKF 4322\nKC 199\nIDC 1319 - 1319 "
	self.text[4324] = "Xi*_c+\nKF 4324\nKC 200\nIDC 1320 - 1321 "
	self.text[4332] = "Omega_c0\nKF 4332\nKC 201\nIDC 1322 - 1325 "
	self.text[4334] = "Omega*_c0\nKF 4334\nKC 202\nIDC 1326 - 1326 "
	self.text[4403] = "cc_1\nKF 4403\nKC 203\nIDC - "
	self.text[4412] = "Xi_cc+\nKF 4412\nKC 204\nIDC 1327 - 1330 "
	self.text[4414] = "Xi*_cc+\nKF 4414\nKC 205\nIDC 1331 - 1334 "
	self.text[4422] = "Xi_cc++\nKF 4422\nKC 206\nIDC 1335 - 1338 "
	self.text[4424] = "Xi*_cc++\nKF 4424\nKC 207\nIDC 1339 - 1342 "
	self.text[4432] = "Omega_cc+\nKF 4432\nKC 208\nIDC 1343 - 1346 "
	self.text[4434] = "Omega*_cc+\nKF 4434\nKC 209\nIDC 1347 - 1350 "
	self.text[4444] = "Omega*_ccc++\nKF 4444\nKC 210\nIDC 1351 - 1354 "
	self.text[5101] = "bd_0\nKF 5101\nKC 211\nIDC - "
	self.text[5103] = "bd_1\nKF 5103\nKC 212\nIDC - "
	self.text[5112] = "Sigma_b-\nKF 5112\nKC 213\nIDC 1355 - 1355 "
	self.text[5114] = "Sigma*_b-\nKF 5114\nKC 214\nIDC 1356 - 1356 "
	self.text[5122] = "Lambda_b0\nKF 5122\nKC 215\nIDC 1357 - 1373 "
	self.text[5132] = "Xi_b-\nKF 5132\nKC 216\nIDC 1374 - 1382 "
	self.text[5142] = "Xi_bc0\nKF 5142\nKC 217\nIDC 1383 - 1391 "
	self.text[5201] = "bu_1\nKF 5201\nKC 218\nIDC - "
	self.text[5203] = "bu_1\nKF 5203\nKC 219\nIDC - "
	self.text[5212] = "Sigma_b0\nKF 5212\nKC 220\nIDC 1392 - 1392 "
	self.text[5214] = "Sigma*_b0\nKF 5214\nKC 221\nIDC 1393 - 1393 "
	self.text[5222] = "Sigma_b+\nKF 5222\nKC 222\nIDC 1394 - 1394 "
	self.text[5224] = "Sigma*_b+\nKF 5224\nKC 223\nIDC 1395 - 1395 "
	self.text[5232] = "Xi_b0\nKF 5232\nKC 224\nIDC 1396 - 1404 "
	self.text[5242] = "Xi_bc+\nKF 5242\nKC 225\nIDC 1405 - 1413 "
	self.text[5301] = "bs_0\nKF 5301\nKC 226\nIDC - "
	self.text[5303] = "bs_1\nKF 5303\nKC 227\nIDC - "
	self.text[5312] = "Xi'_b-\nKF 5312\nKC 228\nIDC 1414 - 1414 "
	self.text[5314] = "Xi*_b-\nKF 5314\nKC 229\nIDC 1415 - 1415 "
	self.text[5322] = "Xi'_b0\nKF 5314\nKC 230\nIDC 1416 - 1416 "
	self.text[5324] = "Xi*_b0\nKF 5324\nKC 231\nIDC 1417 - 1417 "
	self.text[5332] = "Omega_b-\nKF 5332\nKC 232\nIDC 1418 - 1426 "
	self.text[5334] = "Omega*_b-\nKF 5334\nKC 233\nIDC 1427 - 1427 "
	self.text[5342] = "Omega_bc0\nKF 5342\nKC 234\nIDC 1428 - 1436 "
	self.text[5401] = "bc_0\nKF 5401\nKC 235\nIDC - "
	self.text[5403] = "bc_1\nKF 5403\nKC 236\nIDC - "
	self.text[5412] = "Xi'_bc0\nKF 5412\nKC 237\nIDC 1437 - 1445 "
	self.text[5414] = "Xi*_bc0\nKF 5414\nKC 238\nIDC 1446 - 1454 "
	self.text[5422] = "Xi'_bc+\nKF 5422\nKC 239\nIDC 1455 - 1463 "
	self.text[5424] = "Xi*_bc+\nKF 5424\nKC 240\nIDC 1464 - 1472 "
	self.text[5432] = "Omega'_bc0\nKF 5432\nKC 241\nIDC 1473 - 1481 "
	self.text[5434] = "Omega*_bc0\nKF 5434\nKC 242\nIDC 1482 - 1490 "
	self.text[5442] = "Omega_bcc+\nKF 5442\nKC 243\nIDC 1491 - 1499 "
	self.text[5444] = "Omega*_bcc+\nKF 5444\nKC 244\nIDC 1500 - 1508 "
	self.text[5503] = "bb_1\nKF 5503\nKC 245\nIDC - "
	self.text[5512] = "Xi_bb-\nKF 5512\nKC 246\nIDC 1509 - 1517 "
	self.text[5514] = "Xi*_bb-\nKF 5514\nKC 247\nIDC 1518 - 1526 "
	self.text[5522] = "Xi_bb0\nKF 5522\nKC 248\nIDC 1527 - 1535 "
	self.text[5524] = "Xi*_bb0\nKF 5524\nKC 249\nIDC 1536 - 1544 "
	self.text[5532] = "Omega_bb-\nKF 5532\nKC 250\nIDC 1545 - 1553 "
	self.text[5534] = "Omega*_bb-\nKF 5534\nKC 251\nIDC 1554 - 1562 "
	self.text[5542] = "Omega_bbc0\nKF 5542\nKC 252\nIDC 1563 - 1571 "
	self.text[5544] = "Omega*_bbc0\nKF 5544\nKC 253\nIDC 1572 - 1580 "
	self.text[5554] = "Omega_bbb-\nKF 5554\nKC 254\nIDC 1581 - 1589 "
	self.text[10111] = "a_00\nKF 10111\nKC 255\nIDC 1590 - 1590 "
	self.text[10113] = "b_10\nKF 10113\nKC 256\nIDC 1591 - 1591 "
	self.text[10211] = "a_0+\nKF 10211\nKC 257\nIDC 1592 - 1592 "
	self.text[10213] = "b_1+\nKF 10213\nKC 258\nIDC 1593 - 1593 "
	self.text[10221] = "f_0\nKF 10221\nKC 259\nIDC 1594 - 1598 "
	self.text[10223] = "h_1\nKF 10223\nKC 260\nIDC 1599 - 1601 "
	self.text[10311] = "K*_00\nKF 10311\nKC 261\nIDC 1602 - 1603 "
	self.text[10313] = "K_1-\nKF 10313\nKC 262\nIDC 1604 - 1608 "
	self.text[10321] = "K*_0-\nKF 10321\nKC 263\nIDC 1609 - 1610 "
	self.text[10323] = "K_1+\nKF 10323\nKC 264\nIDC 1611 - 1615 "
	self.text[10331] = "f'_0\nKF 10331\nKC 265\nIDC 1616 - 1622 "
	self.text[10333] = "h'_1\nKF 10333\nKC 266\nIDC 1623 - 1626 "
	self.text[10411] = "D*_0+\nKF 10411\nKC 267\nIDC 1627 - 1628 "
	self.text[10413] = "D_1+\nKF 10413\nKC 268\nIDC 1629 - 1630 "
	self.text[10421] = "D*_00\nKF 10421\nKC 269\nIDC 1631 - 1632 "
	self.text[10423] = "D_10\nKF 10423\nKC 270\nIDC 1633 - 1634 "
	self.text[10431] = "D*_0s+\nKF 10431\nKC 271\nIDC 1635 - 1636 "
	self.text[10433] = "D_1s+\nKF 10433\nKC 272\nIDC 1637 - 1638 "
	self.text[10441] = "chi_0c\nKF 10441\nKC 273\nIDC 1639 - 1640 "
	self.text[10443] = "h_1c\nKF 10443\nKC 274\nIDC 1641 - 1641 "
	self.text[10511] = "B*_00\nKF 10511\nKC 275\nIDC 1642 - 1643 "
	self.text[10513] = "B_10\nKF 10513\nKC 276\nIDC 1644 - 1645 "
	self.text[10521] = "B*_0+\nKF 10521\nKC 277\nIDC 1646 - 1647 "
	self.text[10523] = "B_1+\nKF 10523\nKC 278\nIDC 1648 - 1649 "
	self.text[10531] = "B*_0s0\nKF 10531\nKC 279\nIDC 1650 - 1651 "
	self.text[10533] = "B_1s0\nKF 10533\nKC 280\nIDC 1652 - 1653 "
	self.text[10541] = "B*_0c+\nKF 10541\nKC 281\nIDC 1654 - 1655 "
	self.text[10543] = "B_1c+\nKF 10543\nKC 282\nIDC 1656 - 1657 "
	self.text[10551] = "chi_0b\nKF 10551\nKC 283\nIDC 1658 - 1659 "
	self.text[10553] = "h_1b\nKF 10553\nKC 284\nIDC 1660 - 1660 "
	self.text[20113] = "a_10\nKF 20113\nKC 285\nIDC 1661 - 1662 "
	self.text[20213] = "a_1+\nKF 20213\nKC 286\nIDC 1663 - 1664 "
	self.text[20223] = "f_1\nKF 20223\nKC 287\nIDC 1665 - 1678 "
	self.text[20313] = "K*_10\nKF 20223\nKC 288\nIDC 1679 - 1680 "
	self.text[20323] = "K*_1+\nKF 20323\nKC 289\nIDC 1681 - 1682 "
	self.text[20333] = "f'_1\nKF 20333\nKC 290\nIDC 1683 - 1686 "
	self.text[20413] = "D*_1+\nKF 20413\nKC 291\nIDC 1687 - 1688 "
	self.text[20423] = "D*_10\nKF 20423\nKC 292\nIDC 1689 - 1690 "
	self.text[20433] = "D*_1s+\nKF 20433\nKC 293\nIDC 1691 - 1692 "
	self.text[20443] = "chi_1c\nKF 20443\nKC 294\nIDC 1693 - 1694 "
	self.text[20513] = "B*_10\nKF 20513\nKC 295\nIDC 1695 - 1696 "
	self.text[20523] = "B*_1+\nKF 20523\nKC 296\nIDC 1697 - 1698 "
	self.text[20533] = "B*_1s0\nKF 20533\nKC 297\nIDC 1699 - 1700 "
	self.text[20543] = "B*_1c+\nKF 20543\nKC 298\nIDC 1701 - 1702 "
	self.text[20553] = "chi_1b\nKF 20553\nKC 299\nIDC 1703 - 1704 "
	self.text[100443] = "psi'\nKF 100443\nKC 300\nIDC 1705 - 1715 "
	self.text[100553] = "Upsilon'\nKF 100553\nKC 301\nIDC 1716 - 1729 "
	self.text[1000001] = "~d_L\nKF 1000001\nKC 302\nIDC 1730 - 1741 "
	self.text[1000002] = "~u_L\nKF 1000002\nKC 303\nIDC 1742 - 1753 "
	self.text[1000003] = "~s_L\nKF 1000003\nKC 304\nIDC 1754 - 1765 "
	self.text[1000004] = "~c_L\nKF 1000004\nKC 305\nIDC 1766 - 1777 "
	self.text[1000005] = "~b_1\nKF 1000005\nKC 306\nIDC 1778 - 1789 "
	self.text[1000006] = "~t_1\nKF 1000006\nKC 307\nIDC 1790 - 1804 "
	self.text[1000011] = "~e_L-\nKF 1000011\nKC 308\nIDC 1805 - 1815 "
	self.text[1000012] = "~nu_eL\nKF 1000012\nKC 309\nIDC 1816 - 1826 "
	self.text[1000013] = "~mu_L-\nKF 1000013\nKC 310\nIDC 1827 - 1837 "
	self.text[1000014] = "~nu_muL\nKF 1000014\nKC 311\nIDC 1838 - 1848 "
	self.text[1000015] = "~tau_1-\nKF 1000015\nKC 312\nIDC 1849 - 1859 "
	self.text[1000016] = "~nu_tauL\nKF 1000016\nKC 313\nIDC 1860 - 1870 "
	self.text[1000021] = "~g\nKF 1000021\nKC 314\nIDC 1871 - 1931 "
	self.text[1000022] = "~chi_10\nKF 1000022\nKC 315\nIDC 1932 - 1938 "
	self.text[1000023] = "~chi_20\nKF 1000023\nKC 316\nIDC 1939 - 2040 "
	self.text[1000024] = "~chi_1+\nKF 1000024\nKC 317\nIDC 2041 - 2096 "
	self.text[1000025] = "~chi_30\nKF 1000025\nKC 318\nIDC 2097 - 2214 "
	self.text[1000035] = "~chi_40\nKF 1000035\nKC 319\nIDC 2215 - 2348 "
	self.text[1000037] = "~chi_2+\nKF 1000037\nKC 320\nIDC 2349 - 2419 "
	self.text[1000039] = "~gravitino\nKF 1000039\nKC 322\nIDC - "
	self.text[2000001] = "~d_R\nKF 2000001\nKC 322\nIDC 2420 - 2435 "
	self.text[2000002] = "~u_R\nKF 2000002\nKC 323\nIDC 2436 - 2451 "
	self.text[2000003] = "~s_R\nKF 2000003\nKC 324\nIDC 2452 - 2467 "
	self.text[2000004] = "~c_R\nKF 2000004\nKC 325\nIDC 2468 - 2483 "
	self.text[2000005] = "~b_2\nKF 2000005\nKC 326\nIDC 2484 - 2499 "
	self.text[2000006] = "~t_2\nKF 2000006\nKC 327\nIDC 2500 - 2515 "
	self.text[2000011] = "~e_R-\nKF 2000011\nKC 328\nIDC 2516 - 2530 "
	self.text[2000012] = "~nu_eR-\nKF 2000012\nKC 328\nIDC - "
	self.text[2000013] = "~mu_R-\nKF 2000013\nKC 330\nIDC 2531 - 2545 "
	self.text[2000014] = "~nu_muR-\nKF 2000014\nKC 331\nIDC - "
	self.text[2000015] = "~tau+2-\nKF 2000015\nKC 332\nIDC 2546 - 2560 "
	self.text[2000016] = "~nu_tauR\nKF 2000016\nKC 333\nIDC - "
	self.text[4000001] = "d*\nKF 4000001\nKC 334\nIDC 2561 - 2564 "
	self.text[4000002] = "u*\nKF 4000002\nKC 335\nIDC 2565 - 2568 "
	self.text[4000011] = "e*-\nKF 4000011\nKC 336\nIDC 2569 - 2571 "
	self.text[4000012] = "nu*_e0\nKF 4000012\nKC 337\nIDC 2572 - 2573 "
