from Tkinter import *
from tkMessageBox import *
import string
from HelpMenu import HelpMenuInd
class PysubsKfin(Frame):
    def __init__(self,master,kfin):
        Frame.__init__(self,master)
        self.pack()
        master.focus_set()
#        master.grab_set()
        self.master = master
##################################
# Setup help menus
        top = HelpMenuInd(self.master,"#46d900",'kfin','pysubs_kfin.txt')
        self.master.config(menu=top)
##################################
        self.master.protocol('WM_DELETE_WINDOW', self.OK)
        self.config(bg="#46d900")
        self.kfin = kfin
        self.kfin1 = IntVar()
        self.kfin1.set(1)
        self.kfin2 = IntVar()
        
        Label(self,text='set PYSUBS/KFIN',bg="#46d900",font="Helvetica 16 bold").grid(row=0,column=0,columnspan=6)
        Radiobutton(self,variable=self.kfin1,value=1,text='Beam side',bg="#46d900",highlightthickness="0" ,activebackground='red').grid(row=1,column=0)
        Radiobutton(self,variable=self.kfin1,value=2,text='Target side',bg="#46d900",highlightthickness="0" ,activebackground='red').grid(row=1,column=1)
        Label(self,text='    Particle KF code',bg="#46d900").grid(row=1,column=2)
        self.ent = Entry(self)
        self.ent.grid(row=1,column=3)
        Radiobutton(self,variable=self.kfin2,value=1,text='on',bg="#46d900",highlightthickness="0" ,activebackground='red').grid(row=1,column=4)
        Radiobutton(self,variable=self.kfin2,value=0,text='off',bg="#46d900",highlightthickness="0" ,activebackground='red').grid(row=1,column=5)
        Button(self,text='Add',command=self.Add,width=12).grid(row=2,column=0)
        Button(self,text='Remove',command=self.Remove,width=12).grid(row=2,column=1)
        Button(self,text='View',command=self.View,width=12).grid(row=2,column=2)
        Button(self,text='OK',command=self.OK,width=5).grid(row=2,column=4)
        self.wait_window()
    def Add(self):
        try:
            ent = string.atoi(self.ent.get())
            self.kfin[self.kfin1.get()][ent] = self.kfin2.get()
        except ValueError:
            showerror('Error','You must enter a integer number as kf code')
#        print self.kfin
    def Remove(self):
        try:
            ent = string.atoi(self.ent.get())
        except ValueError:
            showerror('Error','You must enter a integer number as kf code')
            return
        if ent in self.kfin[self.kfin1.get()].keys():
            if self.kfin[self.kfin1.get()][ent] == self.kfin2.get():
                del(self.kfin[self.kfin1.get()][ent])
            else:
                showinfo('Kfin Remove','KFIN was not set to this value?')
        else:
                showinfo('Kfin Remove','KFIN for this particle has not been set')
                
#        print self.kfin
    def View(self):
        if not self.kfin[1] and not self.kfin[2]:
            showinfo('Kfin View','No KFIN values have been set')
            return
        text = Text(Toplevel(),relief=SUNKEN)
        text.pack()
        stuff = ''
        for a in self.kfin.keys():
            for b in self.kfin[a].keys():
                stuff += 'PYSUBS KFIN '+`a`+' '+`b`+' '+`self.kfin[a][b]`+'\n'
        text.insert('1.0',stuff)
    def OK(self):
        if self.ent.get():
            if int(self.ent.get()) not in self.kfin[1].keys():
                if int(self.ent.get()) not in self.kfin[2].keys():
                    if not askyesno('Warning','You have unsaved data in the input fields. Exit anyway?'):
                        return
        self.master.destroy()        
if __name__ == '__main__':
    root = Tk()
    kfin = {}
    kfin[1] = {}
    kfin[2] = {}
    PysubsKfin(root,kfin)
    root.mainloop()
